package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 考勤打卡统计结果
 * @Author: CaoZixuan
 * @Date: 2023-08-29
 */
public class DingStatisticResult {
    @ApiModelProperty(value = "客户名称")
    private String customName;

    @ApiModelProperty(value = "出勤天数")
    private Integer workDays;

    @ApiModelProperty(value = "异常共计")
    private Integer exceptionCount;

    @ApiModelProperty(value = "剩余补卡次数")
    private Integer remainCount;

    @ApiModelProperty(value = "打卡表单")
    private List<DingFormResult> dingFormList;

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public Integer getWorkDays() {
        return workDays;
    }

    public void setWorkDays(Integer workDays) {
        this.workDays = workDays;
    }

    public Integer getExceptionCount() {
        return exceptionCount;
    }

    public void setExceptionCount(Integer exceptionCount) {
        this.exceptionCount = exceptionCount;
    }

    public Integer getRemainCount() {
        return remainCount;
    }

    public void setRemainCount(Integer remainCount) {
        this.remainCount = remainCount;
    }

    public List<DingFormResult> getDingFormList() {
        return dingFormList;
    }

    public void setDingFormList(List<DingFormResult> dingFormList) {
        this.dingFormList = dingFormList;
    }
}
